Summary: Password Safe is a password database utility
Name: passwordsafe
%global upstream_name pwsafe
Version: 1.09.0
Release: 1%{?dist}
License: Artistic2.0
URL: https://pwsafe.org/
Source:	https://github.com/%{upstream_name}/%{upstream_name}/archive/%{version}.tar.gz#downloadsas=%{upstream_name}-%{version}.tar.gz
Patch: %{name}-%{version}-package-rename.patch
BuildRequires: cmake, desktop-file-utils, file-devel, gcc-c++, gettext, gtest-devel, libXt-devel, libXtst-devel, libcurl-devel, libuuid-devel, libyubikey-devel, make, openssl-devel, perl, qrencode-devel, wxGTK3-devel, xerces-c-devel, ykpers-devel, zip
%{?el7:Requires: epel-release, wxBase3, wxGTK3, xerces-c, ykpers}

%description
Password Safe is a password database utility. Like many other such products,
commercial and otherwise, it stores your passwords in an encrypted file,
allowing you to remember only one password (the "safe combination"),
instead of all the username/password combinations that you use.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%global _hardened_build 1
%global debug_package %{nil} 
%make_build unicoderelease I18N help

%install
%global hicoloriconsdir %{_datadir}/icons/hicolor
# was for debug-strippable build, busted since 1.06BETA: %__install -D -m 755 src/ui/wxWidgets/GCCUnicodeDebug/%{upstream_name} %{buildroot}%{_bindir}/%{name}
%__install -D -m 755 src/ui/wxWidgets/GCCUnicodeRelease/%{upstream_name} %{buildroot}%{_bindir}/%{name}
%__mv install/desktop/{fedora-%{upstream_name},%{name}}.desktop && \
desktop-file-install --dir=%{buildroot}%{_datadir}/applications --set-icon=%{name} --set-key=Exec --set-value="%{name} %%f" install/desktop/%{name}.desktop
%__install -D -m 644 install/graphics/%{upstream_name}.png %{buildroot}%{hicoloriconsdir}/48x48/apps/%{name}.png
%__install -D -m 644 docs/%{upstream_name}.1 %{buildroot}%{_mandir}/man1/%{name}.1 && \
%__gzip -9 %{buildroot}%{_mandir}/man1/%{name}.1
%__install -D -m 644 -t %{buildroot}%{_datadir}/%{name}/xml xml/*
%__install -D -m 644 -t %{buildroot}%{_pkgdocdir}/help help/help*.zip
%__install -d -m 755 %{buildroot}%{_datadir}/locale && \
%__cp -a src/ui/wxWidgets/I18N/mos/* "$_" && \
find "$_" -name *.mo -exec rename %{upstream_name} %{name} {} + && \
%find_lang %{name}

%post
touch --no-create %{hicoloriconsdir} &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{hicoloriconsdir} &>/dev/null
    gtk-update-icon-cache %{hicoloriconsdir} &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{hicoloriconsdir} &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%license LICENSE
%doc README.md docs/ChangeLog.txt docs/ReleaseNotes.txt install/copyright
%{_bindir}/%{name}
%{_datadir}/applications/*
%{hicoloriconsdir}/*/apps/*
%{_datadir}/%{name}
%{_pkgdocdir}
%{_mandir}/*/*

%changelog
* Mon Jan 06 2020 Honore Doktorr <hdfssk@gmail.com> - 1.09-1
- New upstream release
- Now requires libmagic devel package, file-devel, for magic.h
* Thu Nov 14 2019 Honore Doktorr <hdfssk@gmail.com> - 1.08.2BETA-1
- Changes for Fedora 30 & 31 build
* Wed Feb 20 2019 Honore Doktorr <hdfssk@gmail.com> - 1.07BETA-1
- Changes for Fedora 29 build
- BuildRequires now explicitly includes libcurl-devel and openssl-devel
* Fri Sep 21 2018 Honore Doktorr <hdfssk@gmail.com> - 1.06BETA-1
- New upstream release
* Sat Jul 28 2018 Honore Doktorr <hdfssk@gmail.com> - 1.05BETA-1
- Changes for Fedora 27 & 28 build
- BuildRequires now explicitly includes perl and zip
* Sat Nov 11 2017 Honore Doktorr <hdfssk@gmail.com> - 1.03BETA-1
- Changes for Fedora 26 build
* Wed Aug 02 2017 Honore Doktorr <hdfssk@gmail.com> - 1.02BETA-2
- Follow current Fedora Packaging Guidelines
- Changes for Fedora 26 build
* Wed May 10 2017 Honore Doktorr <hdfssk@gmail.com> - 1.02BETA-1
- Changes for Fedora 25 build
* Tue Aug 02 2016 Honore Doktorr <hdfssk@gmail.com> - 0.99BETA-1
- Changes for Fedora 24 build
* Mon Mar 14 2016 Honore Doktorr <hdfssk@gmail.com> - 0.98.1BETA-5
- Changes for el7 build
- Changes for Fedora 23 build (release target = empty debuginfo & broken build)
- Renamed package to avoid conflict with the Nicholas S. Dade command-line pwsafe
- Included fix for [eea4ef] Fixed broken Linux Makefile-based build
* Tue Sep 29 2015 Rony Shapiro <ronys@users.sourceforge.net> - 0.97BETA-4
- Rename package to passwordsafe to avoid conflict with command-line pwsafe
* Thu Oct 24 2013 Johan Vromans <jvromans@squirrel.nl> - 0.92BETA-3
- Additional buildrequires for some platforms.
* Sun Sep 22 2013 Rony Shapiro <ronys@users.sourceforge.net> - 0.92BETA-2
- Changes for YubiKey build
* Sun Dec 02 2012 Rony Shapiro <ronys@users.sourceforge.net> - 0.8BETA-2
- Streamline rpm build process under PasswordSafe source tree
- Remove unwanted doc files from RPM
* Thu Nov 08 2012 David Dregors <dadreggors@gmail.com> - 0.8BETA-1
- Spec file created for Fedora rpm builds
- First rpm build for Fedora 17
